Loading...
Searching...
No Matches
irr::scene::CIndexBuffer Class Reference

`#include <CIndexBuffer.h>`

Inheritance diagram for irr::scene::CIndexBuffer:

## Public Member Functions

| CIndexBuffer (const IIndexBuffer &IndexBufferCopy)
| CIndexBuffer (video::E_INDEX_TYPE IndexType)
virtual | ~CIndexBuffer ()
virtual u32 | allocated_size () const
virtual u32 | getChangedID () const
| Get the currently used ID for identification of changes.
virtual void * | getData ()
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const
| get the current hardware mapping hint
virtual u32 | getLast ()
virtual video::E_INDEX_TYPE | getType () const
virtual u32 | operator[] (u32 index) const
virtual void * | pointer ()
virtual void | push_back (const u32 &element)
virtual void | reallocate (u32 new_size)
virtual void | set_used (u32 usedNow)
virtual void | setDirty ()
| flags the mesh as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)
| set the hardware mapping hint, for driver
virtual void | setType (video::E_INDEX_TYPE IndexType)
virtual void | setValue (u32 index, u32 value)
virtual u32 | size () const
virtual u32 | stride () const
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Public Attributes

u32 | ChangedID
IIndexList * | Indices
E_HARDWARE_MAPPING | MappingHint

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Definition at line 15 of file CIndexBuffer.h.

## Constructor & Destructor Documentation

## CIndexBuffer() [1/2]

irr::scene::CIndexBuffer::CIndexBuffer | ( | video::E_INDEX_TYPE | IndexType | ) |

inline

Definition at line 93 of file CIndexBuffer.h.

References ChangedID, irr::scene::EHM_NEVER, Indices, MappingHint, and setType().

## CIndexBuffer() [2/2]

irr::scene::CIndexBuffer::CIndexBuffer | ( | const IIndexBuffer & | IndexBufferCopy | ) |

inline

Definition at line 98 of file CIndexBuffer.h.

References ChangedID, irr::scene::EHM_NEVER, irr::scene::IIndexBuffer::getType(), Indices, MappingHint, push_back(), reallocate(), setType(), and irr::scene::IIndexBuffer::size().

## ~CIndexBuffer()

virtual irr::scene::CIndexBuffer::~CIndexBuffer | ( |  | ) |

inline virtual

Definition at line 107 of file CIndexBuffer.h.

References Indices.

## Member Function Documentation

## allocated_size()

virtual u32 irr::scene::CIndexBuffer::allocated_size | ( |  | ) | const

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 185 of file CIndexBuffer.h.

References Indices.

## getChangedID()

virtual u32 irr::scene::CIndexBuffer::getChangedID | ( |  | ) | const

inline virtual

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implements irr::scene::IIndexBuffer.

Definition at line 215 of file CIndexBuffer.h.

References ChangedID.

## getData()

virtual void * irr::scene::CIndexBuffer::getData | ( |  | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 144 of file CIndexBuffer.h.

References Indices.

## getHardwareMappingHint()

virtual E_HARDWARE_MAPPING irr::scene::CIndexBuffer::getHardwareMappingHint | ( |  | ) | const

inline virtual

get the current hardware mapping hint

Implements irr::scene::IIndexBuffer.

Definition at line 196 of file CIndexBuffer.h.

References MappingHint.

## getLast()

virtual u32 irr::scene::CIndexBuffer::getLast | ( |  | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 165 of file CIndexBuffer.h.

References Indices.

## getType()

virtual video::E_INDEX_TYPE irr::scene::CIndexBuffer::getType | ( |  | ) | const

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 146 of file CIndexBuffer.h.

References Indices.

## operator[]()

virtual u32 irr::scene::CIndexBuffer::operator[] | ( | u32 | index | ) | const

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 160 of file CIndexBuffer.h.

References Indices.

## pointer()

virtual void * irr::scene::CIndexBuffer::pointer | ( |  | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 190 of file CIndexBuffer.h.

References Indices.

## push_back()

virtual void irr::scene::CIndexBuffer::push_back | ( | const u32 & | element | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 155 of file CIndexBuffer.h.

References Indices.

Referenced by CIndexBuffer().

## reallocate()

virtual void irr::scene::CIndexBuffer::reallocate | ( | u32 | new_size | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 180 of file CIndexBuffer.h.

References Indices.

Referenced by CIndexBuffer().

## set_used()

virtual void irr::scene::CIndexBuffer::set_used | ( | u32 | usedNow | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 175 of file CIndexBuffer.h.

References Indices.

## setDirty()

virtual void irr::scene::CIndexBuffer::setDirty | ( |  | ) |

inline virtual

flags the mesh as changed, reloads hardware buffers

Implements irr::scene::IIndexBuffer.

Definition at line 208 of file CIndexBuffer.h.

References ChangedID.

## setHardwareMappingHint()

virtual void irr::scene::CIndexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) |

inline virtual

set the hardware mapping hint, for driver

Implements irr::scene::IIndexBuffer.

Definition at line 202 of file CIndexBuffer.h.

References MappingHint.

## setType()

virtual void irr::scene::CIndexBuffer::setType | ( | video::E_INDEX_TYPE | IndexType | ) |

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 113 of file CIndexBuffer.h.

References irr::video::EIT_16BIT, irr::video::EIT_32BIT, and Indices.

Referenced by CIndexBuffer(), and CIndexBuffer().

## setValue()

virtual void irr::scene::CIndexBuffer::setValue | ( | u32 | index,
|  | u32 | value )

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 170 of file CIndexBuffer.h.

References Indices.

## size()

virtual u32 irr::scene::CIndexBuffer::size | ( |  | ) | const

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 150 of file CIndexBuffer.h.

References Indices.

## stride()

virtual u32 irr::scene::CIndexBuffer::stride | ( |  | ) | const

inline virtual

Implements irr::scene::IIndexBuffer.

Definition at line 148 of file CIndexBuffer.h.

References Indices.

## Member Data Documentation

## ChangedID

u32 irr::scene::CIndexBuffer::ChangedID

Definition at line 218 of file CIndexBuffer.h.

Referenced by CIndexBuffer(), CIndexBuffer(), getChangedID(), and setDirty().

## Indices

IIndexList* irr::scene::CIndexBuffer::Indices

Definition at line 91 of file CIndexBuffer.h.

Referenced by CIndexBuffer(), CIndexBuffer(), ~CIndexBuffer(), allocated_size(), getData(), getLast(), getType(), operator[](), pointer(), push_back(), reallocate(), set_used(), setType(), setValue(), size(), and stride().

## MappingHint

E_HARDWARE_MAPPING irr::scene::CIndexBuffer::MappingHint

Definition at line 217 of file CIndexBuffer.h.

Referenced by CIndexBuffer(), CIndexBuffer(), getHardwareMappingHint(), and setHardwareMappingHint().

The documentation for this class was generated from the following file:

- CIndexBuffer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0